# BinaryExpression Class Reference
[Logical expressions used in OSQL and Form]

Inheritance diagram for BinaryExpression:
[legend]

List of all members.

## Public Member Functions

| __construct ($left, $right, $logic)
| getLeft ()
| getRight ()
| getLogic ()
| toDialectString (Dialect $dialect)
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toBoolean (Form $form)

## Public Attributes

const | EQUALS = '='
const | NOT_EQUALS = '!='
const | EXPRESSION_AND = 'AND'
const | EXPRESSION_OR = 'OR'
const | GREATER_THAN = '>'
const | GREATER_OR_EQUALS = '>='
const | LOWER_THAN = '<'
const | LOWER_OR_EQUALS = '<='
const | LIKE = 'LIKE'
const | NOT_LIKE = 'NOT LIKE'
const | ILIKE = 'ILIKE'
const | NOT_ILIKE = 'NOT ILIKE'
const | SIMILAR_TO = 'SIMILAR TO'
const | NOT_SIMILAR_TO = 'NOT SIMILAR TO'
const | ADD = '+'
const | SUBSTRACT = '-'
const | MULTIPLY = '*'
const | DIVIDE = '/'
const | MOD = '%'

## Private Attributes

| $left = null
| $right = null
| $logic = null

## Detailed Description

Definition at line 15 of file BinaryExpression.class.php.

## Constructor & Destructor Documentation

BinaryExpression::__construct | ( | $ | left,
|  | $ | right,
|  | $ | logic |
| ) |  |  |

Definition at line 47 of file BinaryExpression.class.php.

References $left, $logic, and $right.

## Member Function Documentation

BinaryExpression::getLeft | ( |  | ) |

Definition at line 54 of file BinaryExpression.class.php.

BinaryExpression::getLogic | ( |  | ) |

Definition at line 64 of file BinaryExpression.class.php.

BinaryExpression::getRight | ( |  | ) |

Definition at line 59 of file BinaryExpression.class.php.

BinaryExpression::toBoolean | ( | Form $ | form | ) |

Definition at line 91 of file BinaryExpression.class.php.

References $left, $right, and Form::toFormValue().

Here is the call graph for this function:

BinaryExpression::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 69 of file BinaryExpression.class.php.

BinaryExpression::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  BinaryExpression

Implements MappableObject.

Definition at line 82 of file BinaryExpression.class.php.

References ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

BinaryExpression::$left = null`[private]`

Definition at line 43 of file BinaryExpression.class.php.

Referenced by __construct(), and toBoolean().

BinaryExpression::$logic = null`[private]`

Definition at line 45 of file BinaryExpression.class.php.

Referenced by __construct().

BinaryExpression::$right = null`[private]`

Definition at line 44 of file BinaryExpression.class.php.

Referenced by __construct(), and toBoolean().

const BinaryExpression::ADD = '+'

Definition at line 37 of file BinaryExpression.class.php.

Referenced by Expression::add().

const BinaryExpression::DIVIDE = '/'

Definition at line 40 of file BinaryExpression.class.php.

Referenced by Expression::div().

const BinaryExpression::EQUALS = '='

Definition at line 17 of file BinaryExpression.class.php.

Referenced by Expression::eq().

const BinaryExpression::EXPRESSION_AND = 'AND'

Definition at line 20 of file BinaryExpression.class.php.

Referenced by Expression::andBlock(), OqlSelectQuery::andWhere(), LogicalChain::block(), LogicalChain::calculateBoolean(), LogicalChain::expAnd(), Expression::expAnd(), and OqlSelectQuery::toCriteria().

const BinaryExpression::EXPRESSION_OR = 'OR'

Definition at line 21 of file BinaryExpression.class.php.

Referenced by LogicalChain::block(), LogicalChain::calculateBoolean(), LogicalChain::expOr(), Expression::expOr(), Expression::orBlock(), and OqlSelectQuery::orWhere().

const BinaryExpression::GREATER_OR_EQUALS = '>='

Definition at line 24 of file BinaryExpression.class.php.

Referenced by Expression::gtEq().

const BinaryExpression::GREATER_THAN = '>'

Definition at line 23 of file BinaryExpression.class.php.

Referenced by Expression::gt().

const BinaryExpression::ILIKE = 'ILIKE'

Definition at line 31 of file BinaryExpression.class.php.

Referenced by Expression::ilike().

const BinaryExpression::LIKE = 'LIKE'

Definition at line 29 of file BinaryExpression.class.php.

Referenced by Expression::like().

const BinaryExpression::LOWER_OR_EQUALS = '<='

Definition at line 27 of file BinaryExpression.class.php.

Referenced by Expression::ltEq().

const BinaryExpression::LOWER_THAN = '<'

Definition at line 26 of file BinaryExpression.class.php.

Referenced by Expression::lt().

const BinaryExpression::MOD = '%'

Definition at line 41 of file BinaryExpression.class.php.

Referenced by Expression::mod().

const BinaryExpression::MULTIPLY = '*'

Definition at line 39 of file BinaryExpression.class.php.

Referenced by Expression::mul().

const BinaryExpression::NOT_EQUALS = '!='

Definition at line 18 of file BinaryExpression.class.php.

Referenced by OqlTokenizer::importTokenValue(), and Expression::notEq().

const BinaryExpression::NOT_ILIKE = 'NOT ILIKE'

Definition at line 32 of file BinaryExpression.class.php.

Referenced by Expression::notIlike().

const BinaryExpression::NOT_LIKE = 'NOT LIKE'

Definition at line 30 of file BinaryExpression.class.php.

Referenced by Expression::notLike().

const BinaryExpression::NOT_SIMILAR_TO = 'NOT SIMILAR TO'

Definition at line 35 of file BinaryExpression.class.php.

Referenced by Expression::notSimilar().

const BinaryExpression::SIMILAR_TO = 'SIMILAR TO'

Definition at line 34 of file BinaryExpression.class.php.

Referenced by Expression::similar().

const BinaryExpression::SUBSTRACT = '-'

Definition at line 38 of file BinaryExpression.class.php.

Referenced by Expression::sub().

The documentation for this class was generated from the following file:

- core/Logic/BinaryExpression.class.php